InputFileHDF5::ParseLayersInfo Struct Reference
Classes and functions used to implement this library » Field IO classes under-the-hood

struct used to pass the class and partition info back to the parseLayers() callback More...

`#include <Field3DFileHDF5.h>`

## Public Attributes

Field3DInputFileHDF5 * | file
std::string | partitionName

## Detailed Description

struct used to pass the class and partition info back to the parseLayers() callback

Definition at line 884 of file Field3DFileHDF5.h.

## Member Data Documentation

## file

Field3DInputFileHDF5* InputFileHDF5::ParseLayersInfo::file

Definition at line 886 of file Field3DFileHDF5.h.

Referenced by InputFileHDF5::parseLayers(), and Field3DInputFileHDF5::readPartitionAndLayerInfo().

## partitionName

std::string InputFileHDF5::ParseLayersInfo::partitionName

Definition at line 887 of file Field3DFileHDF5.h.

Referenced by InputFileHDF5::parseLayers(), and Field3DInputFileHDF5::readPartitionAndLayerInfo().

The documentation for this struct was generated from the following file:

- export/Field3DFileHDF5.h